@web-font-path: "roboto-debian.css";
v2.2.0 (RP2040)
Loading...
Searching...
No Matches
hardware_vreg

Voltage Regulation API. More...

## Functions

void | vreg_set_voltage (enum vreg_voltage voltage)
| Set voltage.
enum vreg_voltage | vreg_get_voltage (void)
| Get voltage.
void | vreg_disable_voltage_limit (void)
| Enable use of voltages beyond the safe range of operation.

## Detailed Description

Voltage Regulation API.

## Function Documentation

## vreg_disable_voltage_limit()

void vreg_disable_voltage_limit | ( | void |  | ) |

Enable use of voltages beyond the safe range of operation.

This allows voltages beyond VREG_VOLTAGE_MAX to be used, on platforms where they are available (e.g. RP2350). Attempting to set a higher voltage without first calling this function will result in a voltage of VREG_VOLTAGE_MAX.

## vreg_get_voltage()

enum vreg_voltage vreg_get_voltage | ( | void |  | ) |

Get voltage.

Returns
  The current voltage (from enumeration vreg_voltage) of the voltage regulator

## vreg_set_voltage()

void vreg_set_voltage | ( | enum vreg_voltage | voltage | ) |

Set voltage.

Parameters

  voltage | The voltage (from enumeration vreg_voltage) to apply to the voltage regulator